Package com.google.android.exoplayer2.text.webvtt

## Class WebvttCueParser

- java.lang.Object
- - com.google.android.exoplayer2.text.webvtt.WebvttCueParser

-     public final class WebvttCueParser
      extends Object

  Parser for WebVTT cues. (https://w3c.github.io/webvtt/#cues)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Pattern` | `CUE_HEADER_PATTERN` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebvttCueParser()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WebvttCueInfo` | `parseCue​(ParsableByteArray webvttData, List<WebvttCssStyle> styles)` | Parses the next valid WebVTT cue in a parsable array, including timestamps, settings and text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CUE_HEADER_PATTERN

          public static final Pattern CUE_HEADER_PATTERN

  - ### Constructor Detail

    - #### WebvttCueParser

          public WebvttCueParser()

  - ### Method Detail

    - #### parseCue

          @Nullable
          public static WebvttCueInfo parseCue​(ParsableByteArray webvttData,
                                               List<WebvttCssStyle> styles)

      Parses the next valid WebVTT cue in a parsable array, including timestamps, settings and text.
      Parameters:
        `webvttData` - Parsable WebVTT file data.
        `styles` - List of styles defined by the CSS style blocks preceding the cues.
      Returns:
        The parsed cue info, or null if no valid cue was found.